Bug 5243 - Проблемы с отображением обоев
: Проблемы с отображением обоев
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: RED
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 5580
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-20 19:23 MSK by Vladimir Potapov
Modified: 2015-06-01 14:31 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (145.36 KB, image/png)
2015-03-20 19:23 MSK, Vladimir Potapov
Details
ss2 (561.31 KB, image/jpeg)
2015-03-31 18:04 MSD, Vladimir Potapov
Details
ss3 (722.15 KB, image/jpeg)
2015-03-31 18:11 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2015-03-20 19:23:18 MSK
Created attachment 3827 [details]
ss

1) "Ступенчатый" градиент.
2) Логотип со "слитыми" шариками. Для фреша я их специально чуть разносил, чтоб лучше смотрелись.
3) Растягивание на HD-мониторе завершает картину :-(
Comment 1 Vladimir Potapov 2015-03-20 19:24:03 MSK
плюс фон заставки KDE и фон SW остались в старом стиле.
Comment 2 Vladimir Potapov 2015-03-20 19:25:34 MSK
Предлагаю заставку взять от старого рельса, она там шикарная.
Comment 3 Vladimir Potapov 2015-03-20 19:30:21 MSK
или уж от марафона... там до сих пор все очень красиво смотрится.
Comment 4 Denis Silakov 2015-03-21 23:45:12 MSK
Тут есть такой нюанс, что чтобы что-то менять в картинке, надо бы иметь ее исходник, а то придется перепиливать png. Исходник мы со Стасом пока не нашли.

Фон заставки KDE и фон SW, видимо, хранятся не в пакетах брендинга. Можно их туда попробовать перетащить (чтобы не форкать отдельный KDE для RED), но это потребует некоторого времени. Про "старый рельс" - ты лучше картинку дай, я не очень в курсе, о чем речь:)

Вышеперечисленные баги я бы пометил как "minor". Поправить неплохо бы, но явно не critical. Можно и с обновлениями исправить, если поймем - как.

А вот растягивание - это действительно неприятно. Тут выход - изменить поведение фона с растягивания на мозаику. Мы вроде как-то так и делали, когда в прошлый раз RED3 пытались сотворить.
Comment 5 Denis Silakov 2015-03-22 11:53:56 MSK
(In reply to comment #4)

> А вот растягивание - это действительно неприятно. Тут выход - изменить
> поведение фона с растягивания на мозаику. Мы вроде как-то так и делали,
> когда в прошлый раз RED3 пытались сотворить.

... или вообще убрть логотип с обоев
Comment 6 Vladimir Potapov 2015-03-22 19:24:34 MSK
"ступенчатый" градиент на обоях это далеко не "minor"
Comment 7 Denis Silakov 2015-03-23 20:00:16 MSK
Может и не minor. Однако эти обои использовались на протяжении всего периода попытки сделать RED3 на основе Гнома. Смутно помниться, что и там на градиент наезжали, но оставили. Может, дизайнеры решили, что это их очередная фича.
Comment 8 Denis Silakov 2015-03-27 14:01:51 MSK
Вот в этих образах обои переработаны:

https://abf.io/platforms/red/products/133/product_build_lists/10110

взяты обои из фреша и немного затемнены - приведены примерно к тем цветам, в которых были обои RED3.

Фон заставки KDE и фон SQ тоже заменены на соответсвующие.
Comment 9 Vladimir Potapov 2015-03-31 18:00:50 MSD
вылезла другая проблема обоев - "ступеньки" градиентов, на светлом фоне их не было видно, а сейчас - ужас-ужас.
Ну и цвет плох тем, что старый был "под иконки" а новый-фиолетовый к ним не подходит.
Comment 10 Vladimir Potapov 2015-03-31 18:04:09 MSD
Created attachment 3856 [details]
ss2

Зашел чуть с другой стороны. Вручную размыл "ступеньки" и сохраняя тон уменьшил яркость. Получился эффект металлика, возможно - то, что нужно.
Comment 11 Vladimir Potapov 2015-03-31 18:11:16 MSD
Created attachment 3857 [details]
ss3

Или лучше даже вот этот файл
Comment 12 Vladimir Potapov 2015-04-01 03:39:56 MSD
Спасибо за тему! Но теперь в SW нету фона совсем. Урал ведь еще не доделал чтоб SW автоматом обои хватал
Comment 13 Denis Silakov 2015-04-01 10:17:32 MSD
(In reply to comment #12)
> Спасибо за тему! Но теперь в SW нету фона совсем. Урал ведь еще не доделал
> чтоб SW автоматом обои хватал

Как это нет? Должен быть:) Автоматом он обои не хватает, но ничто ведь не мешает картинку подменитть при сборке, что сейчас и происходит. Скачай отчюда SRPM - https://abf.rosalinux.ru/build_lists/2486699 - там внутри лежит файл background_RED.jpg, вот он и используется в качестве фона (должен, во всяком случае;) последюю сборку я не пробовал еще)
Comment 14 Denis Silakov 2015-04-02 23:24:32 MSD
See bug #5309.

Решено в обновлениях.
Comment 15 Denis Silakov 2015-04-14 14:54:08 MSD
Есть ли еще что сделать на тему обоев? Или закрываем баг как решенный?
Comment 16 Ural Mullabaev 2015-04-23 21:24:33 MSD
Advisory: "Added Opacity effect to the background"

https://abf.io/build_lists/2493143
https://abf.io/build_lists/2493142
Comment 17 Ural Mullabaev 2015-04-27 18:36:18 MSD
Advisory: Add opacity effect to the background.

https://abf.io/build_lists/2494785
https://abf.io/build_lists/2494786
Comment 18 Vladimir Potapov 2015-04-27 21:52:31 MSD
The update is sent to expanded testing
****************************************
Comment 19 Ural Mullabaev 2015-04-28 20:30:17 MSD
Advisory: Add opacity effect to the background. Reworked processing of recent applications.

https://abf.io/build_lists/2495173
https://abf.io/build_lists/2495174
Comment 20 Vladimir Potapov 2015-05-05 13:28:58 MSD
rosa-launcher-2.1.4-1
https://abf.io/build_lists/2494785
https://abf.io/build_lists/2494786
********************* Advisory ************************
Add opacity effect to the background.
*******************************************************
QA Verified
Comment 21 Ural Mullabaev 2015-05-21 20:29:28 MSD
Advisory: Added support of previous recent applications format.

https://abf.io/build_lists/2503365
https://abf.io/build_lists/2503366
Comment 22 Denis Silakov 2015-05-25 18:16:12 MSD
mandriva-kde4-config with corresponding changes:

https://abf.io/build_lists/2504273
https://abf.io/build_lists/2504274
Comment 23 Vladimir Potapov 2015-05-26 12:08:35 MSD
The update is sent to expanded testing
***************************************
Comment 24 Vladimir Potapov 2015-06-01 14:13:05 MSD
rosa-launcher-2.1.6-1
https://abf.io/build_lists/2503365
https://abf.io/build_lists/2503366

mandriva-kde4-config-2014-16
https://abf.io/build_lists/2504273
https://abf.io/build_lists/2504274

******************************** Advisory ************************
Added support of previous recent applications format
******************************************************************
QA Verified